Skip to main content
POST
/
materials
/
search
Get Materials
curl --request POST \
  --url https://api-v2.production.higg.org/pic-api/v1/materials/search \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "from": 123,
  "size": 123,
  "ids": [
    "<string>"
  ],
  "textSearch": "<string>"
}
'
import requests

url = "https://api-v2.production.higg.org/pic-api/v1/materials/search"

payload = {
"from": 123,
"size": 123,
"ids": ["<string>"],
"textSearch": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({from: 123, size: 123, ids: ['<string>'], textSearch: '<string>'})
};

fetch('https://api-v2.production.higg.org/pic-api/v1/materials/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "from": 123,
  "size": 123,
  "total": 123,
  "results": [
    {
      "_id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "version": "<string>",
      "description": "<string>",
      "dataSource": "<string>",
      "isCustomMaterial": true,
      "imported": true,
      "materialMsiId": "<string>",
      "isSelected": true,
      "code": "<string>"
    }
  ]
}
Use this endpoint to search the BOM (Bill of Materials) material catalog. This returns the materials available for use in product compositions, including both default PIC materials and any MSI-linked custom materials.

Request body params

NameTypeDescription
textSearchstringSearch materials by name.
idsArray<string>Filter by specific material IDs.
fromnumber[DEFAULT: 0] Pagination start index.
sizenumber[DEFAULT: 50] Number of results to return (max 50).
sortobjectSorting configuration { field: string, order: "asc" | "desc" }.

Implementation Details

  • Pagination: Maximum page size is capped at 50 results.
  • Material types: Results include both default PIC materials and custom MSI materials that have been imported into your account.

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
from
number<double> | null
size
number<double> | null
ids
string[] | null
sort
object

API Search requests

textSearch
string | null

Response

200 - application/json

Ok

API Search responses

from
number<double>
required
size
number<double>
required
total
number<double>
required
results
object[]
required